Package org.opensaml.saml.saml1.core

# Interface SubjectLocality

All Superinterfaces:
  `SAMLObject`, `XMLObject`

All Known Implementing Classes:
  `SubjectLocalityImpl`

public interface SubjectLocality extends SAMLObject
Interface to define how a SubjectLocality element behaves.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
Element name, no namespace.
`static final QName`
`DEFAULT_ELEMENT_NAME`
Default element name.
`static final String`
`DNSADDRESS_ATTRIB_NAME`
Name for the DNSAddress attribute.
`static final String`
`IPADDRESS_ATTRIB_NAME`
Name for the IPAddress attribute.
`static final String`
`TYPE_LOCAL_NAME`
Local name of the XSI type.
`static final QName`
`TYPE_NAME`
QName of the XSI type.

## Method Summary

Modifier and Type
Method
Description
`String`
`getDNSAddress()`
Gets the DNS name of the locality.
`String`
`getIPAddress()`
Gets the IP address of the locality.
`void`
`setDNSAddress(String address)`
Sets the DNS name of the locality.
`void`
`setIPAddress(String address)`
Sets the IP address of the locality.

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getOrderedChildren, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### DEFAULT_ELEMENT_LOCAL_NAME

@Nonnull @NotEmpty static final String DEFAULT_ELEMENT_LOCAL_NAME
Element name, no namespace.

See Also:
  - Constant Field Values

### DEFAULT_ELEMENT_NAME

@Nonnull static final QName DEFAULT_ELEMENT_NAME
Default element name.

### TYPE_LOCAL_NAME

@Nonnull @NotEmpty static final String TYPE_LOCAL_NAME
Local name of the XSI type.

See Also:
  - Constant Field Values

### TYPE_NAME

@Nonnull static final QName TYPE_NAME
QName of the XSI type.

### IPADDRESS_ATTRIB_NAME

@Nonnull @NotEmpty static final String IPADDRESS_ATTRIB_NAME
Name for the IPAddress attribute.

See Also:
  - Constant Field Values

### DNSADDRESS_ATTRIB_NAME

@Nonnull @NotEmpty static final String DNSADDRESS_ATTRIB_NAME
Name for the DNSAddress attribute.

See Also:
  - Constant Field Values

## Method Details

### getIPAddress

@Nullable String getIPAddress()
Gets the IP address of the locality.

Returns:
  IP address of the locality

### setIPAddress

void setIPAddress(@Nullable String address)
Sets the IP address of the locality.

Parameters:
  `address` - IP address of the locality

### getDNSAddress

@Nullable String getDNSAddress()
Gets the DNS name of the locality.

Returns:
  DNS name of the locality

### setDNSAddress

void setDNSAddress(@Nullable String address)
Sets the DNS name of the locality.

Parameters:
  `address` - DNS name of the locality